Skip to main content
GET
/
ai
/
threads
/
{thread_id}
/
filesystem
List thread filesystem
curl --request GET \
  --url https://api.wacht.dev/ai/threads/{thread_id}/filesystem \
  --cookie __session=
{
  "status": 123,
  "message": "<string>",
  "session": {
    "id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "errors": [
    {
      "code": "<string>",
      "message": "<string>"
    }
  ],
  "data": {
    "exists": true,
    "files": [
      {
        "path": "<string>",
        "name": "<string>",
        "is_dir": true,
        "size_bytes": 123,
        "modified_at": "2023-11-07T05:31:56Z"
      }
    ]
  }
}

Authorizations

__session
string
cookie
required

Path Parameters

thread_id
string
required

Query Parameters

path
string

Response

200 - application/json

Filesystem listing

status
integer
message
string
session
object
errors
object[]
data
object